Bug 812766 - winbind crashes with INTERNAL ERROR: Signal 6
winbind crashes with INTERNAL ERROR: Signal 6
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: samba (Show other bugs)
5.8
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Andreas Schneider
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 03:52 EDT by Christian Kalkhoff
Modified: 2012-09-12 12:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-12 12:16:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/smb.conf (4.32 KB, text/plain)
2012-05-02 08:47 EDT, Christian Kalkhoff
no flags Details

  None (edit)
Description Christian Kalkhoff 2012-04-16 03:52:48 EDT
Description of problem:

From time to time the winbind process crashes on one of my kvm guests. It is used to authenticate users against a w2k3 active directory. Users connect via ssh.


Version-Release number of selected component (if applicable):

samba 2.0.33


How reproducible:

Unknown, crashes from time to time.


Steps to Reproduce:
1.
2.
3.
  
Actual results:

Winbind crashes


Expected results:

Winbind keeps running

Additional info:

/var/log/messages:
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]: [2012/04/11 04:02:03, 0] lib/fault.c:fault_report(41)
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:   ===============================================================
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]: [2012/04/11 04:02:03, 0] lib/fault.c:fault_report(42)
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:   INTERNAL ERROR: Signal 6 in pid 6036 (3.0.33-3.38.el5_8)
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:   Please read the Trouble-Shooting section of the Samba3-HOWTO
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]: [2012/04/11 04:02:03, 0] lib/fault.c:fault_report(44)
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:   
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:   From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]: [2012/04/11 04:02:03, 0] lib/fault.c:fault_report(45)
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:   ===============================================================
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]: [2012/04/11 04:02:03, 0] lib/util.c:smb_panic(1655)
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:   PANIC (pid 6036): internal error
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]: [2012/04/11 04:02:03, 0] lib/util.c:log_stack_trace(1759)
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:   BACKTRACE: 19 stack frames:
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:    #0 winbindd(log_stack_trace+0x1c) [0x2aee5f0b6f8c]
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:    #1 winbindd(smb_panic+0x43) [0x2aee5f0b7073]
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:    #2 winbindd [0x2aee5f0a4b02]
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:    #3 /lib64/libc.so.6 [0x2aee60e6f2f0]
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:    #4 /lib64/libc.so.6(gsignal+0x35) [0x2aee60e6f285]
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:    #5 /lib64/libc.so.6(abort+0x110) [0x2aee60e70d30]
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:    #6 /lib64/libc.so.6 [0x2aee60ea82bb]
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:    #7 /lib64/libc.so.6 [0x2aee60eafd7f]
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:    #8 /lib64/libc.so.6(cfree+0x4b) [0x2aee60eb01db]
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:    #9 winbindd [0x2aee5f0ad657]
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:    #10 winbindd(lp_do_parameter+0x528) [0x2aee5f099538]
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:    #11 winbindd [0x2aee5f09bb1a]
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:    #12 winbindd(pm_process+0x179) [0x2aee5f09bfd9]
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:    #13 winbindd(lp_load+0x13e) [0x2aee5f09980e]
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:    #14 winbindd [0x2aee5f02fd6c]
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:    #15 winbindd(winbind_check_sighup+0x6f) [0x2aee5f03090f]
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:    #16 winbindd(main+0x9e1) [0x2aee5f031521]
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:    #17 /lib64/libc.so.6(__libc_start_main+0xf4) [0x2aee60e5c994]
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:    #18 winbindd [0x2aee5f02f839]
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]: [2012/04/11 04:02:03, 0] lib/fault.c:dump_core(181)
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]:   dumping core in /var/log/samba/cores/winbindd
Apr 11 04:02:03 xfer-rz-eip03 winbindd[6036]: 
<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<


/var/log/samba/host.winbindd.log
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
*** glibc detected *** winbindd: free(): invalid pointer: 0x00002ae65ed9a146 ***
======= Backtrace: =========
/lib64/libc.so.6[0x2ae659c66d7f]
/lib64/libc.so.6(cfree+0x4b)[0x2ae659c671db]
winbindd[0x2ae657e64657]
winbindd(lp_do_parameter+0x528)[0x2ae657e50538]
winbindd[0x2ae657e52b1a]
winbindd(pm_process+0x179)[0x2ae657e52fd9]
winbindd(lp_load+0x13e)[0x2ae657e5080e]
winbindd[0x2ae657de6d6c]
winbindd(winbind_check_sighup+0x6f)[0x2ae657de790f]
winbindd(main+0x9e1)[0x2ae657de8521]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x2ae659c13994]
winbindd[0x2ae657de6839]
======= Memory map: ========
2ae657d90000-2ae65800d000 r-xp 00000000 fd:02 995386                     /usr/sbin/winbindd
2ae65800d000-2ae65800e000 rw-s 00000000 fd:02 655598                     /var/cache/samba/messages.tdb
2ae65800e000-2ae65800f000 rw-s 00000000 fd:02 655600                     /var/cache/samba/netsamlogon_cache.tdb
2ae65800f000-2ae658035000 rw-s 00000000 fd:02 655599                     /var/cache/samba/winbindd_cache.tdb
2ae65820d000-2ae65821f000 rw-p 0027d000 fd:02 995386                     /usr/sbin/winbindd
2ae65821f000-2ae658231000 rw-p 2ae65821f000 00:00 0 
2ae658231000-2ae65824d000 r-xp 00000000 fd:02 1409028                    /lib64/ld-2.5.so
2ae65824d000-2ae65824f000 rw-p 2ae65824d000 00:00 0 
2ae65824f000-2ae65826f000 r--s 00000000 fd:02 1247463                    /usr/lib64/samba/upcase.dat
2ae65826f000-2ae65828f000 r--s 00000000 fd:02 1247459                    /usr/lib64/samba/lowcase.dat
2ae65844d000-2ae65844e000 r--p 0001c000 fd:02 1409028                    /lib64/ld-2.5.so
2ae65844e000-2ae65844f000 rw-p 0001d000 fd:02 1409028                    /lib64/ld-2.5.so
2ae65844f000-2ae658458000 r-xp 00000000 fd:02 1409362                    /lib64/libcrypt-2.5.so
2ae658458000-2ae658657000 ---p 00009000 fd:02 1409362                    /lib64/libcrypt-2.5.so
2ae658657000-2ae658658000 r--p 00008000 fd:02 1409362                    /lib64/libcrypt-2.5.so
2ae658658000-2ae658659000 rw-p 00009000 fd:02 1409362                    /lib64/libcrypt-2.5.so
2ae658659000-2ae658687000 rw-p 2ae658659000 00:00 0 
2ae658687000-2ae658698000 r-xp 00000000 fd:02 1409102                    /lib64/libresolv-2.5.so
2ae658698000-2ae658898000 ---p 00011000 fd:02 1409102                    /lib64/libresolv-2.5.so
2ae658898000-2ae658899000 r--p 00011000 fd:02 1409102                    /lib64/libresolv-2.5.so
2ae658899000-2ae65889a000 rw-p 00012000 fd:02 1409102                    /lib64/libresolv-2.5.so
2ae65889a000-2ae65889c000 rw-p 2ae65889a000 00:00 0 
2ae65889c000-2ae6588b1000 r-xp 00000000 fd:02 1409216                    /lib64/libnsl-2.5.so
2ae6588b1000-2ae658ab0000 ---p 00015000 fd:02 1409216                    /lib64/libnsl-2.5.so
2ae658ab0000-2ae658ab1000 r--p 00014000 fd:02 1409216                    /lib64/libnsl-2.5.so
2ae658ab1000-2ae658ab2000 rw-p 00015000 fd:02 1409216                    /lib64/libnsl-2.5.so
2ae658ab2000-2ae658ab5000 rw-p 2ae658ab2000 00:00 0 
2ae658ab5000-2ae658ab7000 r-xp 00000000 fd:02 1409041                    /lib64/libdl-2.5.so
2ae658ab7000-2ae658cb7000 ---p 00002000 fd:02 1409041                    /lib64/libdl-2.5.so
2ae658cb7000-2ae658cb8000 r--p 00002000 fd:02 1409041                    /lib64/libdl-2.5.so
2ae658cb8000-2ae658cb9000 rw-p 00003000 fd:02 1409041                    /lib64/libdl-2.5.so
2ae658cb9000-2ae658cc0000 r-xp 00000000 fd:02 987676                     /usr/lib64/libpopt.so.0.0.0
2ae658cc0000-2ae658ec0000 ---p 00007000 fd:02 987676                     /usr/lib64/libpopt.so.0.0.0
2ae658ec0000-2ae658ec1000 rw-p 00007000 fd:02 987676                     /usr/lib64/libpopt.so.0.0.0
2ae658ec1000-2ae658eed000 r-xp 00000000 fd:02 995187                     /usr/lib64/libgssapi_krb5.so.2.2
2ae658eed000-2ae6590ed000 ---p 0002c000 fd:02 995187                     /usr/lib64/libgssapi_krb5.so.2.2
2ae6590ed000-2ae6590ef000 rw-p 0002c000 fd:02 995187                     /usr/lib64/libgssapi_krb5.so.2.2
2ae6590ef000-2ae6590f0000 rw-p 2ae6590ef000 00:00 0 
2ae6590f0000-2ae659181000 r-xp 00000000 fd:02 995186                     /usr/lib64/libkrb5.so.3.3
2ae659181000-2ae659381000 ---p 00091000 fd:02 995186                     /usr/lib64/libkrb5.so.3.3
2ae659381000-2ae659385000 rw-p 00091000 fd:02 995186                     /usr/lib64/libkrb5.so.3.3
2ae659385000-2ae6593a9000 r-xp 00000000 fd:02 995184                     /usr/lib64/libk5crypto.so.3.1
2ae6593a9000-2ae6595a8000 ---p 00024000 fd:02 995184                     /usr/lib64/libk5crypto.so.3.1
2ae6595a8000-2ae6595aa000 rw-p 00023000 fd:02 995184                     /usr/lib64/libk5crypto.so.3.1
2ae6595aa000-2ae6595ac000 r-xp 00000000 fd:02 1409368                    /lib64/libcom_err.so.2.1
2ae6595ac000-2ae6597ab000 ---p 00002000 fd:02 1409368                    /lib64/libcom_err.so.2.1
2ae6597ab000-2ae6597ac000 rw-p 00001000 fd:02 1409368                    /lib64/libcom_err.so.2.1
2ae6597ac000-2ae6597ad000 rw-p 2ae6597ac000 00:00 0 
2ae6597ad000-2ae6597e6000 r-xp 00000000 fd:02 995204                     /usr/lib64/libldap-2.3.so.0.2.31
2ae6597e6000-2ae6599e6000 ---p 00039000 fd:02 995204                     /usr/lib64/libldap-2.3.so.0.2.31
2ae6599e6000-2ae6599e8000 rw-p 00039000 fd:02 995204                     /usr/lib64/libldap-2.3.so.0.2.31
2ae6599e8000-2ae6599f5000 r-xp 00000000 fd:02 995203                     /usr/lib64/liblber-2.3.so.0.2.31
2ae6599f5000-2ae659bf5000 ---p 0000d000 fd:02 995203                     /usr/lib64/liblber-2.3.so.0.2.31
2ae659bf5000-2ae659bf6000 rw-p 0000d000 fd:02 995203                     /usr/lib64/liblber-2.3.so.0.2.31
2ae659bf6000-2ae659d43000 r-xp 00000000 fd:02 1409035                    /lib64/libc-2.5.so
2ae659d43000-2ae659f43000 ---p 0014d000 fd:02 1409035                    /lib64/libc-2.5.so
2ae659f43000-2ae659f47000 r--p 0014d000 fd:02 1409035                    /lib64/libc-2.5.so
2ae659f47000-2ae659f48000 rw-p 00151000 fd:02 1409035                    /lib64/libc-2.5.so
2ae659f48000-2ae659f4e000 rw-p 2ae659f48000 00:00 0 
2ae659f4e000-2ae659f56000 r-xp 00000000 fd:02 995183                     /usr/lib64/libkrb5support.so.0.1
2ae659f56000-2ae65a155000 ---p 00008000 fd:02 995183                     /usr/lib64/libkrb5support.so.0.1
2ae65a155000-2ae65a156000 rw-p 00007000 fd:02 995183                     /usr/lib64/libkrb5support.so.0.1
2ae65a156000-2ae65a158000 r-xp 00000000 fd:02 1409373                    /lib64/libkeyutils-1.2.so
2ae65a158000-2ae65a357000 ---p 00002000 fd:02 1409373                    /lib64/libkeyutils-1.2.so
2ae65a357000-2ae65a358000 rw-p 00001000 fd:02 1409373                    /lib64/libkeyutils-1.2.so
2ae65a358000-2ae65a370000 r-xp 00000000 fd:02 995182                     /usr/lib64/libsasl2.so.2.0.22
2ae65a370000-2ae65a570000 ---p 00018000 fd:02 995182                     /usr/lib64/libsasl2.so.2.0.22
2ae65a570000-2ae65a571000 rw-p 00018000 fd:02 995182                     /usr/lib64/libsasl2.so.2.0.22
2ae65a571000-2ae65a572000 rw-p 2ae65a571000 00:00 0 
2ae65a572000-2ae65a5b8000 r-xp 00000000 fd:02 1409332                    /lib64/libssl.so.0.9.8e
2ae65a5b8000-2ae65a7b8000 ---p 00046000 fd:02 1409332                    /lib64/libssl.so.0.9.8e
2ae65a7b8000-2ae65a7be000 rw-p 00046000 fd:02 1409332                    /lib64/libssl.so.0.9.8e
2ae65a7be000-2ae65a8eb000 r-xp 00000000 fd:02 1409364                    /lib64/libcrypto.so.0.9.8e
2ae65a8eb000-2ae65aaea000 ---p 0012d000 fd:02 1409364                    /lib64/libcrypto.so.0.9.8e
2ae65aaea000-2ae65ab0b000 rw-p 0012c000 fd:02 1409364                    /lib64/libcrypto.so.0.9.8e
2ae65ab0b000-2ae65ab0f000 rw-p 2ae65ab0b000 00:00 0 
2ae65ab0f000-2ae65ab24000 r-xp 00000000 fd:02 1409361                    /lib64/libselinux.so.1
2ae65ab24000-2ae65ad24000 ---p 00015000 fd:02 1409361                    /lib64/libselinux.so.1
2ae65ad24000-2ae65ad26000 rw-p 00015000 fd:02 1409361                    /lib64/libselinux.so.1
2ae65ad26000-2ae65ad28000 rw-p 2ae65ad26000 00:00 0 
2ae65ad28000-2ae65ad3c000 r-xp 00000000 fd:02 1409077                    /lib64/libz.so.1.2.3
2ae65ad3c000-2ae65af3b000 ---p 00014000 fd:02 1409077                    /lib64/libz.so.1.2.3
2ae65af3b000-2ae65af3c000 rw-p 00013000 fd:02 1409077                    /lib64/libz.so.1.2.3
2ae65af3c000-2ae65af77000 r-xp 00000000 fd:02 1409360                    /lib64/libsepol.so.1
2ae65af77000-2ae65b177000 ---p 0003b000 fd:02 1409360                    /lib64/libsepol.so.1
2ae65b177000-2ae65b178000 rw-p 0003b000 fd:02 1409360                    /lib64/libsepol.so.1
2ae65b178000-2ae65b185000 rw-p 2ae65b178000 00:00 0 
2ae65b185000-2ae65e75b000 r--p 00000000 fd:02 995133                     /usr/lib/locale/locale-archive
2ae65e75b000-2ae65e762000 r--s 00000000 fd:02 1049710                    /usr/lib64/gconv/gconv-modules.cache
2ae65e93a000-2ae65e95b000 rw-p 2ae65e93a000 00:00 0                      [heap]
2ae65e95b000-2ae65e95d000 r-xp 00000000 fd:02 1049479                    /usr/lib64/gconv/UTF-16.so
2ae65e95d000-2ae65eb5c000 ---p 00002000 fd:02 1049479                    /usr/lib64/gconv/UTF-16.so
2ae65eb5c000-2ae65eb5e000 rw-p 00001000 fd:02 1049479                    /usr/lib64/gconv/UTF-16.so
2ae65eb5e000-2ae65eb60000 r-xp 00000000 fd:02 1049378                    /usr/lib64/gconv/IBM850.so
2ae65eb60000-2ae65ed5f000 ---p 00002000 fd:02 1049378                    /usr/lib64/gconv/IBM850.so
2ae65ed5f000-2ae65ed61000 rw-p 00001000 fd:02 1049378                    /usr/lib64/gconv/IBM850.so
2ae65ed61000-2ae65ee61000 rw-p 2ae65ed61000 00:00 0 
2ae65ee61000-2ae65ee71000 r--s 00000000 fd:02 1249205                    /usr/lib64/samba/valid.dat
2ae65ee71000-2ae65ee73000 rw-s 00000000 fd:02 1247541                    /etc/samba/secrets.tdb
2ae65ee73000-2ae65ee74000 rw-s 00000000 fd:02 655594                     /var/cache/samba/gencache.tdb
2ae65ee74000-2ae65ee7b000 rw-s 00000000 fd:02 655595                     /var/cache/samba/idmap_cache.tdb
2ae65eeca000-2ae65eecc000 r-xp 00000000 fd:02 1247457                    /usr/lib64/samba/idmap/rid.so
2ae65eecc000-2ae65f0cb000 ---p 00002000 fd:02 1247457                    /usr/lib64/samba/idmap/rid.so
2ae65f0cb000-2ae65f0cc000 rw-p 00001000 fd:02 1247457                    /usr/lib64/samba/idmap/rid.so
2ae65f0cc000-2ae65f1cc000 rw-p 2ae65f0cc000 00:00 0 
2ae65f1d5000-2ae65f1e2000 r-xp 00000000 fd:02 1409363                    /lib64/libgcc_s-4.1.2-20080825.so.1
2ae65f1e2000-2ae65f3e2000 ---p 0000d000 fd:02 1409363                    /lib64/libgcc_s-4.1.2-20080825.so.1
2ae65f3e2000-2ae65f3e3000 rw-p 0000d000 fd:02 1409363                    /lib64/libgcc_s-4.1.2-20080825.so.1
2ae6600b1000-2ae6600c7000 r-xp 00000000 fd:02 1409059                    /lib64/libpthread-2.5.so
2ae6600c7000-2ae6602c6000 ---p 00016000 fd:02 1409059                    /lib64/libpthread-2.5.so
2ae6602c6000-2ae6602c7000 r--p 00015000 fd:02 1409059                    /lib64/libpthread-2.5.so
2ae6602c7000-2ae6602c8000 rw-p 00016000 fd:02 1409059                    /lib64/libpthread-2.5.so
2ae6602c8000-2ae6602cc000 rw-p 2ae6602c8000 00:00 0 
2ae65ee71000-2ae65ee73000 rw-s 00000000 fd:02 1247541                    /etc/samba/secrets.tdb
2ae65ee73000-2ae65ee74000 rw-s 00000000 fd:02 655594                     /var/cache/samba/gencache.tdb
2ae65ee74000-2ae65ee7b000 rw-s 00000000 fd:02 655595                     /var/cache/samba/idmap_cache.tdb
2ae65eeca000-2ae65eecc000 r-xp 00000000 fd:02 1247457                    /usr/lib64/samba/idmap/rid.so
2ae65eecc000-2ae65f0cb000 ---p 00002000 fd:02 1247457                    /usr/lib64/samba/idmap/rid.so
2ae65f0cb000-2ae65f0cc000 rw-p 00001000 fd:02 1247457                    /usr/lib64/samba/idmap/rid.so
2ae65f0cc000-2ae65f1cc000 rw-p 2ae65f0cc000 00:00 0 
2ae65f1d5000-2ae65f1e2000 r-xp 00000000 fd:02 1409363                    /lib64/libgcc_s-4.1.2-20080825.so.1
2ae65f1e2000-2ae65f3e2000 ---p 0000d000 fd:02 1409363                    /lib64/libgcc_s-4.1.2-20080825.so.1
2ae65f3e2000-2ae65f3e3000 rw-p 0000d000 fd:02 1409363                    /lib64/libgcc_s-4.1.2-20080825.so.1
2ae6600b1000-2ae6600c7000 r-xp 00000000 fd:02 1409059                    /lib64/libpthread-2.5.so
2ae6600c7000-2ae6602c6000 ---p 00016000 fd:02 1409059                    /lib64/libpthread-2.5.so
2ae6602c6000-2ae6602c7000 r--p 00015000 fd:02 1409059                    /lib64/libpthread-2.5.so
2ae6602c7000-2ae6602c8000 rw-p 00016000 fd:02 1409059                    /lib64/libpthread-2.5.so
2ae6602c8000-2ae6602cc000 rw-p 2ae6602c8000 00:00 0 
2ae660772000-2ae66077b000 r--s 00000000 fd:02 655632                     /var/run/pcscd.pub
2ae66133c000-2ae661345000 r-xp 00000000 fd:02 993365                     /usr/lib64/libpcsclite.so.1.0.0
2ae661345000-2ae661544000 ---p 00009000 fd:02 993365                     /usr/lib64/libpcsclite.so.1.0.0
2ae661544000-2ae661545000 rw-p 00008000 fd:02 993365                     /usr/lib64/libpcsclite.so.1.0.0
2ae661545000-2ae661546000 rw-p 2ae661545000 00:00 0 
2ae661546000-2ae66154d000 r--s 00009000 fd:02 655632                     /var/run/pcscd.pub
2ae661551000-2ae661570000 r--p 00000000 fd:02 987433                     /usr/share/locale/de/LC_MESSAGES/libc.mo
7fff52ac9000-7fff52ade000 rw-p 7ffffffe9000 00:00 0                      [stack]
7fff52bfd000-7fff52c00000 r-xp 7fff52bfd000 00:00 0                      [vdso]
ffffffffff600000-ffffffffffe00000 ---p 00000000 00:00 0                  [vsyscall]
[2012/04/15 04:02:02, 0] lib/fault.c:fault_report(41)
  ===============================================================
[2012/04/15 04:02:02, 0] lib/fault.c:fault_report(42)
  INTERNAL ERROR: Signal 6 in pid 2163 (3.0.33-3.39.el5_8)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2012/04/15 04:02:02, 0] lib/fault.c:fault_report(44)
  
  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2012/04/15 04:02:02, 0] lib/fault.c:fault_report(45)
  ===============================================================
[2012/04/15 04:02:02, 0] lib/util.c:smb_panic(1655)
  PANIC (pid 2163): internal error
[2012/04/15 04:02:02, 0] lib/util.c:log_stack_trace(1759)
  BACKTRACE: 19 stack frames:
   #0 winbindd(log_stack_trace+0x1c) [0x2ae657e6df8c]
   #1 winbindd(smb_panic+0x43) [0x2ae657e6e073]
   #2 winbindd [0x2ae657e5bb02]
   #3 /lib64/libc.so.6 [0x2ae659c262f0]
   #4 /lib64/libc.so.6(gsignal+0x35) [0x2ae659c26285]
   #5 /lib64/libc.so.6(abort+0x110) [0x2ae659c27d30]
   #6 /lib64/libc.so.6 [0x2ae659c5f2bb]
   #7 /lib64/libc.so.6 [0x2ae659c66d7f]
   #8 /lib64/libc.so.6(cfree+0x4b) [0x2ae659c671db]
   #9 winbindd [0x2ae657e64657]
   #10 winbindd(lp_do_parameter+0x528) [0x2ae657e50538]
   #11 winbindd [0x2ae657e52b1a]
   #12 winbindd(pm_process+0x179) [0x2ae657e52fd9]
   #13 winbindd(lp_load+0x13e) [0x2ae657e5080e]
   #14 winbindd [0x2ae657de6d6c]
   #15 winbindd(winbind_check_sighup+0x6f) [0x2ae657de790f]
   #16 winbindd(main+0x9e1) [0x2ae657de8521]
   #17 /lib64/libc.so.6(__libc_start_main+0xf4) [0x2ae659c13994]
   #18 winbindd [0x2ae657de6839]
[2012/04/15 04:02:02, 0] lib/fault.c:dump_core(181)
  dumping core in /var/log/samba/cores/winbindd
Comment 1 Guenther Deschner 2012-04-27 05:10:14 EDT
Can you please provide your smb.conf file ? The crash happens when winbind tries to re-read the configuration.
Comment 2 Christian Kalkhoff 2012-05-02 08:47:14 EDT
Created attachment 581611 [details]
/etc/smb.conf

I replaced my real domain name/realm name with MYDOMAIN/MYREALM. Real names consist only of A-Z letters.
Comment 3 Dmitri Pal 2012-06-26 13:02:20 EDT
Please try latest samaba3x package.
Comment 5 RHEL Product and Program Management 2012-09-12 12:16:02 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.